/*
    BLYNK CALLBACK FUNCTIONS
    Like when button was pressed and so on
*/

BLYNK_CONNECTED()                                                             // Кажлый раз, когда проихсодит подключение к серверу
{
  Blynk.syncVirtual(V0);
  Blynk.syncVirtual(V5);
  Blynk.syncVirtual(V11);
}

BLYNK_WRITE(V0)
{
  light_state = param.asInt();
}
BLYNK_WRITE(V5)
{
  fan_state = param.asInt();
  fan_manual_state = true;
}
BLYNK_WRITE(V11)
{
  watering_state = param.asInt();
}

/*
   BLYNK MAIN FUNCTIONS
   Like connection check, reconnect
*/

void Blynk_Processing()
{
  if (Blynk.connected())
  {
    Blynk.run();
    edgentTimer.run();  // Обработка таймера
  }
  else
    Blynk.connect(); // Подключаемся к сервису
}
