bool WiFi_Connect(int connection_timeout)
{
  byte connection_counter = 0;

  WiFi.begin("НАЗВА МЕРЕЖІ", "ПАРОЛЬ МЕРЕЖІ");

  Serial.print("Trying to connect to WiFi Network");

  while (WiFi.status() != WL_CONNECTED)
  {
    Serial.print(".");
    delay(500);

    connection_counter++;

    if (connection_counter > (connection_timeout / 500))
    {
      Serial.println("Couldn't connect to Wi-Fi network. Try to restart your board!");
      return false;
    }
  }

  if (WiFi.status() == WL_CONNECTED)
  {
    Serial.println("Connected to Wi-Fi!!");
    return true;
  }
}

bool wifi_health_check()
{
  if (millis() - wifi_health_check_timer > 600000) // if it is 10 minutes past
  {
    if (WiFi.status() != WL_CONNECTED)
    {
      WiFi.disconnect();
      WiFi.reconnect();
      wifi_health_check_timer = millis();
    }
  }
}
